using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Velleman.Velbus; /* import the Velbus namespace */

namespace DemoBasic
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void btnSend_Click(object sender, EventArgs e)
        {
            // Create a new SerialBus object, and connect to the
            // specified port
            SerialBus bus = new SerialBus("COM1");
            bus.Open();

            // Prepare a packet that will switch on the relays
            // of a VMB4RY module (see: p.17 of the VMB4RY manual)
            Packet packet = new Packet();
            packet.Address = 0x02;                  // change this address to reflect your setup
            packet.Priority = PacketPriority.High;  // high priority command
            packet.DataSize = 2;                    // 2 data bytes
            packet.Command = 0x02;                  // Command "Switch relay ON"
            packet[1] = 0x0F;                       // We want to switch on all relays

            // Issue the command!
            bus.SendBlocking(packet);

            // Be sure to close the bus so everything
            // can be cleaned up properly */
            bus.Close();
        }
    }
}