/*
 * Velbus Serial Communications Library for .NET
 * Copyright (C) 2007 Velleman
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 * 
 */
#region "Imports"

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace Velleman.Velbus.Util
{
    /// <summary>
    /// The checksum class is a utility class with a couple of methods
    /// to calculate checksums on Velbus packets etc.
    /// </summary>
	public class Checksum
	{	
        /// <summary>
        /// Calculates the 2's complement checksum of a specified buffer.
        /// </summary>
        /// <param name="data">The buffer.</param>
        /// <param name="size">Size of the buffer.</param>
        /// <returns>Returns the 2's complement checksum.</returns>
		public static byte Crc8(byte[] data, int size)
		{
			byte checksum = 0;
			for (int i=0; i<=size; i++)
				checksum += data[i];

			return (byte)(-checksum);
		}
	}
}
